Skip to content

List lists

GET/v1/lists

Returns a paginated list of lists. Results are sorted by when the record was created in Lightfield (createdAt), newest first. A list archived together with its object definition is not returned, for any caller, including admins and workspace API keys. Use offset and limit to paginate through results. See List endpoints for more information about pagination.

Required scope: lists:read

Rate limit category: Search

Query ParametersExpand Collapse
limit: optional number

Maximum number of records to return. Defaults to 25, maximum 25.

minimum1
maximum25
offset: optional number

Number of records to skip for pagination. Defaults to 0.

minimum0
maximum9007199254740991
ReturnsExpand Collapse
ListListResponse object { data, object, totalCount }
data: array of object { id, createdAt, fields, httpLink }

Array of list objects for the current page.

id: string

Unique identifier for the list.

createdAt: string

ISO 8601 timestamp of when the list was created.

fields: map[object { value, valueType } ]

Map of field names to their typed values. System fields are prefixed with $ (e.g. $name, $objectType).

value: string or number or boolean or 3 more

The field value, or null if unset.

One of the following:
string
number
boolean
array of string
Address object { city, country, latitude, 5 more }
city: optional string

City name.

country: optional string

2-letter ISO 3166-1 alpha-2 country code.

latitude: optional number

Latitude coordinate.

longitude: optional number

Longitude coordinate.

postalCode: optional string

Postal or ZIP code.

state: optional string

State or province.

street: optional string

Street address line 1.

street2: optional string

Street address line 2.

FullName object { firstName, lastName }
firstName: optional string

The contact’s first name.

lastName: optional string

The contact’s last name.

valueType: "ADDRESS" or "CHECKBOX" or "CURRENCY" or 13 more

The data type of the field.

One of the following:
"ADDRESS"
"CHECKBOX"
"CURRENCY"
"DATE"
"DATETIME"
"EMAIL"
"FULL_NAME"
"MARKDOWN"
"MULTI_SELECT"
"NUMBER"
"SINGLE_SELECT"
"SOCIAL_HANDLE"
"TELEPHONE"
"TEXT"
"URL"
"HTML"
object: string

The object type, always "list".

totalCount: number

Total number of lists matching the query.

minimum0
maximum9007199254740991

List lists

curl https://api.lightfield.app/v1/lists \
    -H 'Lightfield-Version: 2026-03-01' \
    -H "Authorization: Bearer $API_KEY"
{
  "data": [
    {
      "id": "id",
      "createdAt": "createdAt",
      "fields": {
        "foo": {
          "value": "string",
          "valueType": "ADDRESS"
        }
      },
      "httpLink": "httpLink"
    }
  ],
  "object": "object",
  "totalCount": 0
}
Returns Examples
{
  "data": [
    {
      "id": "id",
      "createdAt": "createdAt",
      "fields": {
        "foo": {
          "value": "string",
          "valueType": "ADDRESS"
        }
      },
      "httpLink": "httpLink"
    }
  ],
  "object": "object",
  "totalCount": 0
}